Bug 427348 - Lock assertion failed in libxcb-xlib.so.0
Lock assertion failed in libxcb-xlib.so.0
Status: CLOSED DUPLICATE of bug 390261
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
: 407821 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 07:13 EST by Kjartan Maraas
Modified: 2008-01-10 07:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 07:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2008-01-03 07:13:02 EST
Description of problem:

I got this after compiling vmware workstation 5.5 with Mark Lord's patch to make
it work with the 2.6.24 kernel from here: http://rtr.ca/vmware-2.6.24/

[kmaraas@localhost vmware-any-any-update115a]$ vmware
/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no
version information available (required by /opt/gnome2/lib/libcairo.so.2)
/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libgcc_s.so.1/libgcc_s.so.1:
version `GCC_4.2.0' not found (required by /usr/lib/libstdc++.so.6)
/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no
version information available (required by /usr/lib/libcairo.so.2)
/usr/lib/vmware/bin/vmware: /usr/lib/vmware/lib/libpng12.so.0/libpng12.so.0: no
version information available (required by /usr/lib/libcairo.so.2)
/usr/share/themes/Nodoka/gtk-2.0/gtkrc:35: error: unexpected character `(',
expected character `}'
Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0x1ac0777]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0x1ac08d1]
#2 /usr/lib/libX11.so.6(_XReply+0xff) [0x1c112f]
#3
/usr/lib/vmware/lib/libXrender.so.1/libXrender.so.1(XRenderQueryFormats+0x109)
[0x343969]
#4
/usr/lib/vmware/lib/libXrender.so.1/libXrender.so.1(XRenderFindVisualFormat+0x49) [0x343eb9]
#5 /usr/lib/vmware/lib/libXft.so.2/libXft.so.2(_XftDisplayInfoGet+0x32d) [0x35518d]
#6 /usr/lib/vmware/lib/libXft.so.2/libXft.so.2(XftDefaultHasRender+0x1e) [0x35534e]
#7 /usr/lib/vmware/lib/libXft.so.2/libXft.so.2(XftDefaultSubstitute+0x32c)
[0x355bfc]
#8 /usr/lib/vmware/lib/libpangoxft-1.0.so.0/libpangoxft-1.0.so.0 [0x4bcd4c]
#9 /usr/lib/vmware/lib/libpangoft2-1.0.so.0/libpangoft2-1.0.so.0 [0x49397a]
#10 /usr/lib/vmware/lib/libpangoft2-1.0.so.0/libpangoft2-1.0.so.0 [0x493a26]
#11 /usr/lib/vmware/lib/libpangoft2-1.0.so.0/libpangoft2-1.0.so.0 [0x493b98]
#12
/usr/lib/vmware/lib/libpango-1.0.so.0/libpango-1.0.so.0(pango_font_map_load_font+0x85)
[0x4671b6]
#13
/usr/lib/vmware/lib/libpango-1.0.so.0/libpango-1.0.so.0(pango_context_load_font+0x142)
[0x463a12]
#14 /usr/lib/vmware/lib/libpango-1.0.so.0/libpango-1.0.so.0 [0x46f575]
#15
/usr/lib/vmware/lib/libpango-1.0.so.0/libpango-1.0.so.0(pango_layout_line_get_extents+0x375)
[0x46fd76]
#16 /usr/lib/vmware/lib/libpango-1.0.so.0/libpango-1.0.so.0 [0x46c211]
#17 /usr/lib/vmware/lib/libpango-1.0.so.0/libpango-1.0.so.0 [0x46c458]
#18
/usr/lib/vmware/lib/libpango-1.0.so.0/libpango-1.0.so.0(pango_layout_get_extents+0x81)
[0x46c7a7]
#19
/usr/lib/vmware/lib/libgtk-x11-2.0.so.0/libgtk-x11-2.0.so.0(gtk_text_layout_get_line_display+0xa18)
[0x74e4d1]
vmware: xcb_xlib.c:82: xcb_xlib_unlock: Forutsetningen (assertion)
«c->xlib.lock» feilet.

I have seen similar failures earlier with other apps. Evolution is one example IIRC.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2008-01-03 07:24:32 EST
Look at https://bugzilla.redhat.com/show_bug.cgi?id=407821 for a similar example
affecting evolution while running yum update.
Comment 2 Kjartan Maraas 2008-01-04 10:29:04 EST
Got this with evolution today:

Locking assertion failure.  Backtrace:
#0 /usr/lib/libxcb-xlib.so.0 [0x3a06777]
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0x3a0683e]
#2 /usr/lib/libX11.so.6 [0x454168]
#3 /usr/lib/libX11.so.6(XUngrabPointer+0x25) [0x44a8e5]
#4 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_pointer_ungrab+0xba) [0xf22d50]
#5 /usr/lib/libgdk-x11-2.0.so.0(gdk_pointer_ungrab+0x1c) [0xef9d49]
#6 /usr/lib/gtk-2.0/modules/libgnomebreakpad.so [0x51a045e]
#7
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so(_ZN15google_breakpad16ExceptionHandler21InternalWriteMinidumpEijPP10sigcontext+0x43)
[0x51a0b73]
#8
/usr/lib/gtk-2.0/modules/libgnomebreakpad.so(_ZN15google_breakpad16ExceptionHandler15HandleExceptionEi+0x9e)
[0x51a108e]
#9 [0x130420]
#10 /lib/libc.so.6(abort+0x101) [0x26c6111]
#11 /lib/libc.so.6(__assert_fail+0xee) [0x26bdaae]
#12 /usr/lib/libX11.so.6 [0x453f74]
#13 /usr/lib/libX11.so.6(_XSend+0x63) [0x454e73]
#14 /usr/lib/libX11.so.6(_XFlush+0x32) [0x455012]
#15 /usr/lib/libX11.so.6(XFlush+0x31) [0x42e771]
#16 /usr/lib/libgdk-x11-2.0.so.0(gdk_display_flush+0xa0) [0xf23180]
#17 /usr/lib/libgdk-x11-2.0.so.0 [0xf19f28]
#18 /usr/lib/libgdk-x11-2.0.so.0(gdk_window_process_all_updates+0xf8) [0xf1a040]
#19 /usr/lib/libgtk-x11-2.0.so.0 [0xa6d912]
evolution: xcb_xlib.c:73: xcb_xlib_lock: Forutsetningen (assertion)
«!c->xlib.lock» feilet.
Comment 3 Kjartan Maraas 2008-01-06 11:26:22 EST
And finally a good backtrace from evolution hanging instead of exiting:

(gdb) thread apply all bt

Thread 5 (Thread 0xb6d97b90 (LWP 2810)):
#0  0x00130402 in __kernel_vsyscall ()
#1  0x034ecd03 in poll () from /lib/libc.so.6
#2  0x02f073b9 in g_main_context_iterate (context=0x87b5820, block=1,
dispatch=1, self=0x87b7918)
    at gmain.c:3006
#3  0x02f07739 in IA__g_main_loop_run (loop=0x87bcf28) at gmain.c:2905
#4  0x02717224 in libnm_glib_dbus_worker (user_data=0x87b58a0) at libnm_glib.c:427
#5  0x02f2c7cf in g_thread_create_proxy (data=0x87b7918) at gthread.c:635
#6  0x003ff53b in start_thread () from /lib/libpthread.so.0
#7  0x034f6e0e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xb44ffb90 (LWP 10500)):
#0  0x00130402 in __kernel_vsyscall ()
#1  0x034ecd03 in poll () from /lib/libc.so.6
#2  0x02f073b9 in g_main_context_iterate (context=0x93e30f8, block=1,
dispatch=1, self=0x9cd0bd8)
    at gmain.c:3006
#3  0x02f07739 in IA__g_main_loop_run (loop=0x9ea4b28) at gmain.c:2905
#4  0x003958d2 in startup_mainloop (arg=0x0) at e-book.c:3765
#5  0x02f2c7cf in g_thread_create_proxy (data=0x9cd0bd8) at gthread.c:635
#6  0x003ff53b in start_thread () from /lib/libpthread.so.0
#7  0x034f6e0e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xb4dd3b90 (LWP 10502)):
#0  0x00130402 in __kernel_vsyscall ()
#1  0x034ecd03 in poll () from /lib/libc.so.6
#2  0x02f073b9 in g_main_context_iterate (context=0x992deb8, block=1,
dispatch=1, self=0x9cd0af8)
    at gmain.c:3006
#3  0x02f07739 in IA__g_main_loop_run (loop=0x990c5a8) at gmain.c:2905
#4  0x00982d10 in link_io_thread_fn (data=0x0) at linc.c:396
#5  0x02f2c7cf in g_thread_create_proxy (data=0x9cd0af8) at gthread.c:635
#6  0x003ff53b in start_thread () from /lib/libpthread.so.0
#7  0x034f6e0e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb637db90 (LWP 16646)):
---Type <return> to continue, or q <return> to quit---
#0  0x00130402 in __kernel_vsyscall ()
#1  0x00403b05 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0325517f in _xcb_lock_io (c=0x86492b8) at xcb_conn.c:282
#3  0x0105a832 in xcb_xlib_lock (c=0x86492b8) at xcb_xlib.c:72
#4  0x00454a56 in process_responses (dpy=0x8648d78, wait_for_first_event=0, 
    current_error=0xb637ce58, current_request=805549) at xcb_io.c:76
#5  0x0045518c in _XReply (dpy=0x8648d78, rep=0xb637ce80, extra=0, discard=1) at
xcb_io.c:368
#6  0x00448eaa in XSync (dpy=0x8648d78, discard=0) at Sync.c:48
#7  0x00f3f730 in _gdk_send_xevent (display=0x8653010, window=100663421,
propagate=0, event_mask=0, 
    event_send=0xb637d08c) at gdkmain-x11.c:811
#8  0x00f3312e in gdk_event_send_client_message_to_all_recurse
(display=0x8653010, xev=0xb637d08c, 
    xid=100663421, level=2) at gdkevents-x11.c:2450
#9  0x00f330c6 in gdk_event_send_client_message_to_all_recurse
(display=0x8653010, xev=0xb637d08c, 
    xid=23069874, level=1) at gdkevents-x11.c:2441
#10 0x00f330c6 in gdk_event_send_client_message_to_all_recurse
(display=0x8653010, xev=0xb637d08c, 
    xid=127, level=0) at gdkevents-x11.c:2441
#11 0x00f3324f in IA__gdk_screen_broadcast_client_message (screen=0x86540b0,
event=0xa1be068)
    at gdkevents-x11.c:2501
#12 0x00ae714b in ensure_valid_themes (icon_theme=0x8655850) at gtkicontheme.c:1220
#13 0x00ae71d2 in choose_icon (icon_theme=0x8655850, icon_names=0xb637d1c8,
size=16, 
    flags=GTK_ICON_LOOKUP_NO_SVG) at gtkicontheme.c:1253
#14 0x00ae7647 in IA__gtk_icon_theme_lookup_icon (icon_theme=0x8655850, 
    icon_name=0x648ae7e "evolution", size=16, flags=GTK_ICON_LOOKUP_NO_SVG) at
gtkicontheme.c:1401
#15 0x0642d649 in efh_format_message (emf=0x8798398, stream=0x9638d50,
part=0xb29024f8, 
    info=0x64ad3f0) at em-format-html.c:1956
#16 0x0642be0e in efh_format_exec (m=0x9638c38) at em-format-html.c:1252
#17 0x06454f79 in mail_disable_stop () at /usr/include/bits/stdio2.h:98
#18 0x02f2e358 in g_thread_pool_thread_proxy (data=0x89e5478) at gthreadpool.c:265
#19 0x02f2c7cf in g_thread_create_proxy (data=0x8f73700) at gthread.c:635
#20 0x003ff53b in start_thread () from /lib/libpthread.so.0
#21 0x034f6e0e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7ec9920 (LWP 2785)):
#0  0x00427d44 in xcb_get_request_sent@plt () from /usr/lib/libX11.so.6
#1  0x00453a1c in _XPutXCBBuffer (dpy=0x8648d78) at xcb_lock.c:181
---Type <return> to continue, or q <return> to quit---
#2  0x00454a12 in process_responses (dpy=0x8648d78, wait_for_first_event=0, 
    current_error=0xbfb4e168, current_request=805606) at xcb_io.c:73
#3  0x0045518c in _XReply (dpy=0x8648d78, rep=0xbfb4e1bc, extra=0, discard=0) at
xcb_io.c:368
#4  0x00432b4c in XGetImage (dpy=0x8648d78, d=107096820, x=29, y=1, width=284,
height=27, 
    plane_mask=4294967295, format=2) at GetImage.c:77
#5  0x070cc888 in _get_image_surface (surface=0xa7c1c68, interest_rect=<value
optimized out>, 
    image_out=0xbfb4e2a0, image_rect=0xbfb4e354) at cairo-xlib-surface.c:509
#6  0x070cccfe in _cairo_xlib_surface_acquire_dest_image
(abstract_surface=0xa7c1c68, 
    interest_rect=0xbfb4e348, image_out=0xbfb4e350, image_rect_out=0xbfb4e354, 
    image_extra=0xbfb4e35c) at cairo-xlib-surface.c:795
#7  0x0709d981 in _cairo_surface_acquire_dest_image (surface=0xa7c1c68,
interest_rect=0xbfb4e348, 
    image_out=0xbfb4e350, image_rect=0xbfb4e354, image_extra=0xbfb4e35c) at
cairo-surface.c:1008
#8  0x0709e718 in _fallback_init (state=0xbfb4e344, dst=0x86492b8, x=140807544,
y=1, width=284, 
    height=27) at cairo-surface-fallback.c:79
#9  0x0709eb72 in _cairo_surface_fallback_composite (op=CAIRO_OPERATOR_OVER,
src=0xbfb4e934, 
    mask=0xbfb4e544, dst=0xa7c1c68, src_x=29, src_y=1, mask_x=0, mask_y=0,
dst_x=29, dst_y=1, 
    width=284, height=27) at cairo-surface-fallback.c:1104
#10 0x0709d8c2 in _cairo_surface_composite (op=CAIRO_OPERATOR_OVER, src=0xbfb4e934, 
    mask=0xbfb4e544, dst=0xa7c1c68, src_x=29, src_y=1, mask_x=0, mask_y=0,
dst_x=29, dst_y=1, 
    width=284, height=27) at cairo-surface.c:1217
#11 0x0709f30d in _clip_and_composite (clip=0x86cea44, op=CAIRO_OPERATOR_OVER,
src=0xbfb4e934, 
    draw_func=0x709ffa0 <_composite_traps_draw_func>, draw_closure=0xbfb4e80c,
dst=0xa7c1c68, 
    extents=0xbfb4e814) at cairo-surface-fallback.c:175
#12 0x0709fc98 in _clip_and_composite_trapezoids (src=0x0,
op=CAIRO_OPERATOR_CLEAR, dst=0xa7c1c68, 
    traps=0xbfb4e864, clip=0x86cea44, antialias=CAIRO_ANTIALIAS_DEFAULT)
    at cairo-surface-fallback.c:660
#13 0x070a01d9 in _cairo_surface_fallback_fill (surface=0xa7c1c68,
op=CAIRO_OPERATOR_OVER, 
    source=0xbfb4e934, path=0x8bab3fc, fill_rule=CAIRO_FILL_RULE_WINDING, 
    tolerance=0.10000000000000001, antialias=CAIRO_ANTIALIAS_DEFAULT)
    at cairo-surface-fallback.c:904
#14 0x0709c8ad in _cairo_surface_fill (surface=0xa7c1c68, op=CAIRO_OPERATOR_OVER, 
    source=0xbfb4ea5c, path=0x8bab3fc, fill_rule=CAIRO_FILL_RULE_WINDING, 
    tolerance=0.10000000000000001, antialias=CAIRO_ANTIALIAS_DEFAULT) at
cairo-surface.c:1586
#15 0x0708e8d3 in _cairo_gstate_fill (gstate=0x86ce9c0, path=0x8bab3fc) at
cairo-gstate.c:1073
#16 0x07086ddc in cairo_fill_preserve (cr=0x8bab288) at cairo.c:2106
---Type <return> to continue, or q <return> to quit---
#17 0x07086e02 in cairo_fill (cr=0x8bab288) at cairo.c:2082
#18 0x0743313e in nodoka_draw_toolbar (cr=0x991c2f0, colors=0x991c2f0,
widget=0xbfb4ed14, 
    toolbar=0x1c, x=0, y=0, width=29, height=1) at src/GTKEngine/nodoka_draw.c:1350
#19 0x074334ae in nodoka_draw_menubar (cr=0x4, colors=0x991c2f0, widget=0xbfb4ed14, 
    menubar=0xbfb4edbc, x=28, y=0, width=286, height=29) at
src/GTKEngine/nodoka_draw.c:797
#20 0x0742d14d in nodoka_style_draw_box (style=0x991c000, window=0x8c38778, 
    state_type=GTK_STATE_NORMAL, shadow_type=GTK_SHADOW_OUT, area=0x96a6b7c,
widget=0x87bea10, 
    detail=0xd6dacc "optionmenu", x=28, y=0, width=286, height=29)
    at src/GTKEngine/nodoka_style.c:648
#21 0x00bcd3f3 in IA__gtk_paint_box (style=0x991c000, window=0x8c38778, 
    state_type=GTK_STATE_NORMAL, shadow_type=GTK_SHADOW_OUT, area=0x96a6b7c,
widget=0x87bea10, 
    detail=0xd6dacc "optionmenu", x=28, y=0, width=286, height=29) at
gtkstyle.c:5881
#22 0x00b5a3b6 in gtk_option_menu_paint (widget=0x87bea10, area=0x96a6b7c) at
gtkoptionmenu.c:522
#23 0x00b5a714 in gtk_option_menu_expose (widget=0x87bea10, event=0x96a6b70) at
gtkoptionmenu.c:586
#24 0x00b29b42 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8665570,
return_value=0xbfb4f0c0, 
    n_param_values=2, param_values=0xbfb4f19c, invocation_hint=0xbfb4f0ac,
marshal_data=0xb5a622)
    at gtkmarshalers.c:84
#25 0x028db7e9 in g_type_class_meta_marshal (closure=0x8665570,
return_value=0xbfb4f0c0, 
    n_param_values=2, param_values=0xbfb4f19c, invocation_hint=0xbfb4f0ac,
marshal_data=0xc8)
    at gclosure.c:567
#26 0x028dd0dc in IA__g_closure_invoke (closure=0x8665570, return_value=0xbfb4f0c0, 
    n_param_values=2, param_values=0xbfb4f19c, invocation_hint=0xbfb4f0ac) at
gclosure.c:490
#27 0x028ef288 in signal_emit_unlocked_R (node=0x8665770, detail=0,
instance=0x87bea10, 
    emission_return=0xbfb4f35c, instance_and_params=0xbfb4f19c) at gsignal.c:2478
#28 0x028efd22 in IA__g_signal_emit_valist (instance=0x87bea10, signal_id=43,
detail=0, 
    var_args=0xbfb4f3e0 "����\003") at gsignal.c:2209
#29 0x028f02f9 in IA__g_signal_emit (instance=0x87bea10, signal_id=43, detail=0)
at gsignal.c:2243
#30 0x00c9b999 in gtk_widget_event_internal (widget=0x87bea10, event=0x96a6b70)
at gtkwidget.c:4675
#31 0x00c9b609 in IA__gtk_widget_send_expose (widget=0x87bea10, event=0x96a6b70)
at gtkwidget.c:4507
#32 0x00a7054b in IA__gtk_container_propagate_expose (container=0x87b8298,
child=0x87bea10, 
    event=0xaa711108) at gtkcontainer.c:2655
#33 0x00a700d0 in gtk_container_expose_child (child=0x87bea10,
client_data=0xbfb4f530)
    at gtkcontainer.c:2543
#34 0x00a1ac0d in gtk_box_forall (container=0x87b8298, include_internals=1, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb4f530) at
gtkbox.c:799
---Type <return> to continue, or q <return> to quit---
#35 0x00a6de41 in IA__gtk_container_forall (container=0x87b8298, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb4f530) at
gtkcontainer.c:1453
#36 0x00a701d4 in gtk_container_expose (widget=0x87b8298, event=0xaa711108) at
gtkcontainer.c:2566
#37 0x00b29b42 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8665570,
return_value=0xbfb4f700, 
    n_param_values=2, param_values=0xbfb4f7dc, invocation_hint=0xbfb4f6ec,
marshal_data=0xa700d2)
    at gtkmarshalers.c:84
#38 0x028db7e9 in g_type_class_meta_marshal (closure=0x8665570,
return_value=0xbfb4f700, 
    n_param_values=2, param_values=0xbfb4f7dc, invocation_hint=0xbfb4f6ec,
marshal_data=0xc8)
    at gclosure.c:567
#39 0x028dd0dc in IA__g_closure_invoke (closure=0x8665570, return_value=0xbfb4f700, 
    n_param_values=2, param_values=0xbfb4f7dc, invocation_hint=0xbfb4f6ec) at
gclosure.c:490
#40 0x028ef288 in signal_emit_unlocked_R (node=0x8665770, detail=0,
instance=0x87b8298, 
    emission_return=0xbfb4f99c, instance_and_params=0xbfb4f7dc) at gsignal.c:2478
#41 0x028efd22 in IA__g_signal_emit_valist (instance=0x87b8298, signal_id=43,
detail=0, 
    var_args=0xbfb4fa20 "<���\003") at gsignal.c:2209
#42 0x028f02f9 in IA__g_signal_emit (instance=0x87b8298, signal_id=43, detail=0)
at gsignal.c:2243
#43 0x00c9b999 in gtk_widget_event_internal (widget=0x87b8298, event=0xaa711108)
at gtkwidget.c:4675
#44 0x00c9b609 in IA__gtk_widget_send_expose (widget=0x87b8298, event=0xaa711108)
    at gtkwidget.c:4507
#45 0x00a7054b in IA__gtk_container_propagate_expose (container=0x89e29e0,
child=0x87b8298, 
    event=0xb29005b0) at gtkcontainer.c:2655
#46 0x00a700d0 in gtk_container_expose_child (child=0x87b8298,
client_data=0xbfb4fb70)
    at gtkcontainer.c:2543
#47 0x00a1ac0d in gtk_box_forall (container=0x89e29e0, include_internals=1, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb4fb70) at
gtkbox.c:799
#48 0x00a6de41 in IA__gtk_container_forall (container=0x89e29e0, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb4fb70) at
gtkcontainer.c:1453
#49 0x00a701d4 in gtk_container_expose (widget=0x89e29e0, event=0xb29005b0) at
gtkcontainer.c:2566
#50 0x00b29b42 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8665570,
return_value=0xbfb4fd40, 
    n_param_values=2, param_values=0xbfb4fe1c, invocation_hint=0xbfb4fd2c,
marshal_data=0xa700d2)
    at gtkmarshalers.c:84
#51 0x028db7e9 in g_type_class_meta_marshal (closure=0x8665570,
return_value=0xbfb4fd40, 
    n_param_values=2, param_values=0xbfb4fe1c, invocation_hint=0xbfb4fd2c,
marshal_data=0xc8)
    at gclosure.c:567
#52 0x028dd0dc in IA__g_closure_invoke (closure=0x8665570, return_value=0xbfb4fd40, 
---Type <return> to continue, or q <return> to quit---
    n_param_values=2, param_values=0xbfb4fe1c, invocation_hint=0xbfb4fd2c) at
gclosure.c:490
#53 0x028ef288 in signal_emit_unlocked_R (node=0x8665770, detail=0,
instance=0x89e29e0, 
    emission_return=0xbfb4ffdc, instance_and_params=0xbfb4fe1c) at gsignal.c:2478
#54 0x028efd22 in IA__g_signal_emit_valist (instance=0x89e29e0, signal_id=43,
detail=0, 
    var_args=0xbfb50060 "|") at gsignal.c:2209
#55 0x028f02f9 in IA__g_signal_emit (instance=0x89e29e0, signal_id=43, detail=0)
at gsignal.c:2243
#56 0x00c9b999 in gtk_widget_event_internal (widget=0x89e29e0, event=0xb29005b0)
at gtkwidget.c:4675
#57 0x00c9b609 in IA__gtk_widget_send_expose (widget=0x89e29e0, event=0xb29005b0)
    at gtkwidget.c:4507
#58 0x00a7054b in IA__gtk_container_propagate_expose (container=0x89de890,
child=0x89e29e0, 
    event=0xa1be0b8) at gtkcontainer.c:2655
#59 0x00a700d0 in gtk_container_expose_child (child=0x89e29e0,
client_data=0xbfb501b0)
    at gtkcontainer.c:2543
#60 0x00a1ac0d in gtk_box_forall (container=0x89de890, include_internals=1, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb501b0) at
gtkbox.c:799
#61 0x00a6de41 in IA__gtk_container_forall (container=0x89de890, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb501b0) at
gtkcontainer.c:1453
#62 0x00a701d4 in gtk_container_expose (widget=0x89de890, event=0xa1be0b8) at
gtkcontainer.c:2566
#63 0x00b29b42 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8665570,
return_value=0xbfb50380, 
    n_param_values=2, param_values=0xbfb5045c, invocation_hint=0xbfb5036c,
marshal_data=0xa700d2)
    at gtkmarshalers.c:84
#64 0x028db7e9 in g_type_class_meta_marshal (closure=0x8665570,
return_value=0xbfb50380, 
    n_param_values=2, param_values=0xbfb5045c, invocation_hint=0xbfb5036c,
marshal_data=0xc8)
    at gclosure.c:567
#65 0x028dd0dc in IA__g_closure_invoke (closure=0x8665570, return_value=0xbfb50380, 
    n_param_values=2, param_values=0xbfb5045c, invocation_hint=0xbfb5036c) at
gclosure.c:490
#66 0x028ef288 in signal_emit_unlocked_R (node=0x8665770, detail=0,
instance=0x89de890, 
    emission_return=0xbfb5061c, instance_and_params=0xbfb5045c) at gsignal.c:2478
#67 0x028efd22 in IA__g_signal_emit_valist (instance=0x89de890, signal_id=43,
detail=0, 
    var_args=0xbfb506a0 "�\006��\003") at gsignal.c:2209
#68 0x028f02f9 in IA__g_signal_emit (instance=0x89de890, signal_id=43, detail=0)
at gsignal.c:2243
#69 0x00c9b999 in gtk_widget_event_internal (widget=0x89de890, event=0xa1be0b8)
at gtkwidget.c:4675
#70 0x00c9b609 in IA__gtk_widget_send_expose (widget=0x89de890, event=0xa1be0b8)
at gtkwidget.c:4507
#71 0x00a7054b in IA__gtk_container_propagate_expose (container=0x8b378c8,
child=0x89de890, 
    event=0xbfb50de4) at gtkcontainer.c:2655
---Type <return> to continue, or q <return> to quit---
#72 0x00a700d0 in gtk_container_expose_child (child=0x89de890,
client_data=0xbfb507f0)
    at gtkcontainer.c:2543
#73 0x00a16285 in gtk_bin_forall (container=0x8b378c8, include_internals=1, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb507f0) at
gtkbin.c:133
#74 0x00a6de41 in IA__gtk_container_forall (container=0x8b378c8, 
    callback=0xa700a4 <gtk_container_expose_child>, callback_data=0xbfb507f0) at
gtkcontainer.c:1453
#75 0x00a701d4 in gtk_container_expose (widget=0x8b378c8, event=0xbfb50de4) at
gtkcontainer.c:2566
#76 0x00cafc25 in gtk_window_expose (widget=0x8b378c8, event=0xbfb50de4) at
gtkwindow.c:6357
#77 0x00790ef4 in bonobo_plug_expose_event (widget=0x8b378c8, event=0xbfb50de4)
at bonobo-plug.c:295
#78 0x00b29b42 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8665570,
return_value=0xbfb50a00, 
    n_param_values=2, param_values=0xbfb50adc, invocation_hint=0xbfb509ec,
marshal_data=0x790eb0)
    at gtkmarshalers.c:84
#79 0x028db7e9 in g_type_class_meta_marshal (closure=0x8665570,
return_value=0xbfb50a00, 
    n_param_values=2, param_values=0xbfb50adc, invocation_hint=0xbfb509ec,
marshal_data=0xc8)
    at gclosure.c:567
#80 0x028dcff3 in IA__g_closure_invoke (closure=0x8665570, return_value=0xbfb50a00, 
    n_param_values=2, param_values=0xbfb50adc, invocation_hint=0xbfb509ec) at
gclosure.c:490
#81 0x028ef288 in signal_emit_unlocked_R (node=0x8665770, detail=0,
instance=0x8b378c8, 
    emission_return=0xbfb50c9c, instance_and_params=0xbfb50adc) at gsignal.c:2478
#82 0x028efd22 in IA__g_signal_emit_valist (instance=0x8b378c8, signal_id=43,
detail=0, 
    var_args=0xbfb50d20 "<\r��\003") at gsignal.c:2209
#83 0x028f02f9 in IA__g_signal_emit (instance=0x8b378c8, signal_id=43, detail=0)
at gsignal.c:2243
#84 0x00c9b999 in gtk_widget_event_internal (widget=0x8b378c8, event=0xbfb50de4)
at gtkwidget.c:4675
#85 0x00c9b609 in IA__gtk_widget_send_expose (widget=0x8b378c8, event=0xbfb50de4)
    at gtkwidget.c:4507
#86 0x00b26b5d in IA__gtk_main_do_event (event=0xbfb50de4) at gtkmain.c:1514
#87 0x00f19eb9 in gdk_window_process_updates_internal (window=0x8c38778) at
gdkwindow.c:2378
#88 0x00f1a014 in IA__gdk_window_process_all_updates () at gdkwindow.c:2444
#89 0x00a6d912 in gtk_container_idle_sizer (data=0x0) at gtkcontainer.c:1307
#90 0x00ef85b7 in gdk_threads_dispatch (data=0xb29ba2b0) at gdk.c:470
#91 0x02f022e1 in g_idle_dispatch (source=0xaa7770c8, callback=0x86492b8,
user_data=0xb29ba2b0)
    at gmain.c:4142
#92 0x02f03ebf in IA__g_main_context_dispatch (context=0x86584c0) at gmain.c:2064
#93 0x02f07386 in g_main_context_iterate (context=0x86584c0, block=1,
dispatch=1, self=0x86306c8)
    at gmain.c:2697
---Type <return> to continue, or q <return> to quit---
#94 0x02f07739 in IA__g_main_loop_run (loop=0x86a9598) at gmain.c:2905
#95 0x0089f923 in bonobo_main () at bonobo-main.c:311
#96 0x0805ed51 in main (argc=2, argv=0xbfb51244) at main.c:700
#97 0x034344a0 in __libc_start_main () from /lib/libc.so.6
#98 0x0804f781 in _start ()
#0  0x00427d44 in xcb_get_request_sent@plt () from /usr/lib/libX11.so.6
Comment 4 Kjartan Maraas 2008-01-06 11:26:56 EST
*** Bug 407821 has been marked as a duplicate of this bug. ***
Comment 5 Matěj Cepl 2008-01-10 07:46:14 EST

*** This bug has been marked as a duplicate of 390261 ***

Note You need to log in before you can comment on or make changes to this bug.